Subject: Re: [bug#78332] GCD005: Regular and efficient releases (submitted)

From: Steve George <[email-masked]>
Date: Sun, 22 Jun 2025 17:30:44 +0100

Hi Pinoaffe,

On Sat, Jun 21, 2025 at 11:26:21AM +0200, pinoaffe wrote:
> Andreas Enge <[email-masked]> writes:
(...)
> > On the other hand, I think that putting into place a process for releases
> > is a significant change; and since there are several ways of getting to
> > a release, it is good to have a community discussion and to collectively
> > decide.
> 
> I think defining a release process might be a significant change, but
> establishing a release schedule when there is none at the moment does
> not seem like a significant change, and in any case I don't think that
> regular releases can be brought about by a GCD
(...)

You said "I don't think that regular release can be brought about by a GCD". I don't know precisely why you think this, but I will guess that your perspective is that having a GCD doesn't magically make 4 volunteers turn up who are willing to do the work. Of course, this is true - totally appreciate that.

But, having a GCD does:

1. Provide a clear statement of what we want: "regular annual releases"
2. Provide some methods for how to make achieving releases easier: automation, package sets, architectures
3. Creates a useful organisation documentation around how to do releases: something the first release team can build on

So from that perspective, I think it _may_ help, and it doesn't hinder!

Steve / Futurile